[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# BuffersEqual

Check whether 2 memory buffers are equal

## Declaration

Source position: db.pas line 2084

`function BuffersEqual(`
`Buf1: Pointer;`
`Buf2: Pointer;`
`Size: Integer`
`):Boolean;`

## Arguments

`Buf1` |  | Pointer to first memory area.
`Buf2` |  | Pointer to second memory area
`Size` |  | Number of bytes to compare.

## Function result

True if the memory areas have the same content.

## Description

BuffersEqual compares the memory areas pointed to by the Buf1 and Buf2 pointers and returns True if the contents are equal. The memory areas are compared for the first Size bytes. If all bytes in the indicated areas are equal, then True is returned, otherwise False is returned.

## Errors

If Buf1 or Buf2 do not point to a valid memory area or Size is too large, then an exception may occur

## See also

#rtl.sysutils.Comparemem

The latest version of this document can be found at lazarus-ccr.sourceforge.net .